<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\TeilnehmerHelper;

use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;

class MitarbeiterAnmeldungTeilnehmer extends TeilnehmerHelper
{
  public function __construct($toolSettings, IFilterSettings $filterSettings, $user)
  {
    parent::__construct($toolSettings, $filterSettings, $user);
  }

  protected function setzeFilter($dbwTeilnehmer, $filter, $pToolId)
  {
    $tnSearch = new \Kufer\Web\KuferTools\Utils\FilterSearch\TeilnehmerSearchFilter();
    $tnSearch->applySearchFromSession($filter, 'tool' . $pToolId);

    return $dbwTeilnehmer;
  }

  protected function setzeSortierung($dbwTeilnehmer)
  {
    $dbwTeilnehmer->orderby = $this->toolSettings->sorttn;
    $dbwTeilnehmer->orderbyasc = $this->toolSettings->sorttnasc;

    return $dbwTeilnehmer;
  }
}